Raritan PX2/PX3 JSON-RPC API

EventLog.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2010 Raritan Inc. All rights reserved.
4 */
5
6 #ifndef __LOG_EVENTLOG_IDL__
7 #define __LOG_EVENTLOG_IDL__
8
9 #include <Log.idl>
10 #include <UserEvent.idl>
11
12 /**
13 * Device Logging
14 */
15 module logging {
16
17 /**
18 * Event log cleared event
19 */
20 valueobject EventLogClearedEvent extends event.UserEvent {};
21
22 /** Device event log interface */
23 interface EventLog_2_0_0 {
24 /**
25 * Clear the event log.
26 */
27 void clear();
28
29 /**
30 * Get info about the event log.
31 *
32 * @return log info
33 */
34 LogInfo getInfo();
35
36 /**
37 * Fetch a chunk from the event log.
38 *
39 * @param idRef First log id to fetch
40 * @param count Number of entries to fetch
41 * @param direction Range direction
42 * @param categories Event cartegories to filter for
43 *
44 * @return log chunk
45 */
46 LogChunk getChunk(in int refId, in int count, in RangeDirection direction, in vector<string> categories);
47
48 };
49
50 }
51
52 #endif /* __LOG_EVENTLOG_IDL__ */
logging
Device Logging.
Definition: DebugLog.idl:14
logging::LogChunk
A log chunk.
Definition: Log.idl:28
logging::RangeDirection
RangeDirection
Range direction when fetching log entries.
Definition: Log.idl:36
logging::LogInfo
General log info.
Definition: Log.idl:13
logging::EventLogClearedEvent
valueobject EventLogClearedEvent
Event log cleared event.
Definition: EventLog.idl:20
logging::EventLog_2_0_0
Device event log interface.
Definition: EventLog.idl:23